Lens — Developer PortalLens — Developer Portal
  • Pricing
  • API Reference
Information
Lens
    Apply Angela's Lenspost
Other endpoints
    MCP Serverpost
powered by Zuplo
Lens API
Lens API

Lens

Endpointhttps://angela-lens-main-bb75823.zuplo.app

Apply Angela's Lens

POST
https://angela-lens-main-bb75823.zuplo.app
/lens

Applies Angela Benton’s perspective to a question, decision, or existing AI output.

Use this tool when the user asks to:

  • apply Angela’s perspective
  • reframe an answer
  • interpret something more deeply
  • understand what something really means
  • shift from generic reasoning to strategic or infrastructure-level thinking

This tool is especially useful when the user provides an existing answer and wants a second lens or deeper interpretation.

Apply Angela's Lens › Request Body

input
​string · required

The user's question, thought, decision, or situation to interpret through Angela's lens.

base_output
​string

Optional existing AI output or prior answer to reframe through Angela's perspective.

lens_focus
​string · enum

Optional emphasis area for the lens.

Enum values:
strategic
founder
infrastructure
pricing

Apply Angela's Lens › Responses

200

Lens output returned successfully

No data returned
POST/lens
curl --request POST \ --url https://angela-lens-main-bb75823.zuplo.app/lens \ --header 'Content-Type: application/json' \ --data ' { "input": "input", "base_output": "base_output", "lens_focus": "strategic" } '
shell
Example Request Body
{ "input": "input", "base_output": "base_output", "lens_focus": "strategic" }
json
Example Responses
No example specified for this content type

Other endpoints